Ruby - Bug #20982

Inconsistency between Hash#inspect and ENV.inspect in Ruby 3.4
12/25/2024 03:17 PM - herwin (Herwin W)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: Backport: 3.1: DONTNEED, 3.2: DONTNEED, 3.3:
DONTNEED, 3.4: DONE

Description
Ruby 3.4 changed the stringified output of Hash to add whitespace to the hashrockets

ruby —e 'p({"a"=>"b"}) v
{"a" => "b"}

The output of ENV.inspect is very similar to Hash#inspect, but does not include the whitespace

ruby —-e 'p ENV'
{"SHELL"=>"/bin/bash", [...] }

Adding the extra whitespace around the hashrockets would improve the readability, and make things more consistent.

Associated revisions

Revision c6dbb10b7408cab17f170f0b23d1bbf0db03ad55 - 12/26/2024 06:01 AM - nobu (Nobuyoshi Nakada)
[Bug #20982] Put spaces in ENV.inspect results as well as Hash

Revision c6dbb10b7408cab17f170f0b23d1bbf0db03ad55 - 12/26/2024 06:01 AM - nobu (Nobuyoshi Nakada)
[Bug #20982] Put spaces in ENV.inspect results as well as Hash

Revision c6dbb10b - 12/26/2024 06:01 AM - nobu (Nobuyoshi Nakada)
[Bug #20982] Put spaces in ENV.inspect results as well as Hash

Revision 24f48c83e7e851a6ca712fc7b498634da9a24789 - 02/14/2025 05:43 AM - nobu (Nobuyoshi Nakada)
[Bug #20982] Put spaces in ENV.inspect results as well as Hash

Revision 24f48c83e7e851a6ca712fc7b498634da9a24789 - 02/14/2025 05:43 AM - nobu (Nobuyoshi Nakada)
[Bug #20982] Put spaces in ENV.inspect results as well as Hash

Revision 24f48c83 - 02/14/2025 05:43 AM - nobu (Nobuyoshi Nakada)
[Bug #20982] Put spaces in ENV.inspect results as well as Hash

History

#1 - 12/26/2024 05:23 AM - nobu (Nobuyoshi Nakada)
- Tracker changed from Feature to Bug
- Backport set to 3.1: DONTNEED, 3.2: DONTNEED, 3.3: DONTNEED, 3.4: REQUIRED

#2 - 12/26/2024 07:29 AM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Closed

Applied in changeset git|c6dbb10b7408cab17f170f0b23d1bbf0db03ad55.

[Bug #20982] Put spaces in ENV.inspect results as well as Hash

#3 - 02/14/2025 01:49 AM - kOkubun (Takashi Kokubun)
https://bugs.ruby-lang.org/projects/ruby-master/repository/git/revisions/c6dbb10b7408cab17f170f0b23d1bbf0db03ad55
https://bugs.ruby-lang.org/issues/20982

Cherry-picking c6dbb10b7408cab17f170f0b23d1bbf0db03ad55 to ruby_3_4 caused a conflict. Could you file a PR that resolves it?
#4 - 02/14/2025 05:44 AM - kOkubun (Takashi Kokubun)

- Backport changed from 3.1: DONTNEED, 3.2: DONTNEED, 3.3: DONTNEED, 3.4: REQUIRED to 3.1: DONTNEED, 3.2: DONTNEED, 3.3:
DONTNEED, 3.4: DONE

ruby_3_4 24f48c83e7e851a6ca712fc7b498634da9a24789.

#5 - 02/14/2025 05:44 AM - kOkubun (Takashi Kokubun)
Thanks for the PR.
